Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### float()

Examples

    int i = 65;
    float f = float(i);
    println(i + " : " + f);  // Prints "65 : 65.0"

    char c = 'E';
    f = float(c);
    println(c + " : " + f);  // Prints "E : 69.0"

Description | Converts a primitive datatype, string, or array to its floating point representation.

Syntax

    float(value)

Parameters

value | int, char, byte, boolean, String, int[], char[], byte[], boolean[], String[]

Returns | float
Usage | Web & Application
Related | float int() byte()

Updated on November 22, 2008 08:39:26pm PST